| gtk-0.11.2: Binding to the Gtk+ graphical user interface library. | Contents | Index
Graphics.UI.Gtk.Misc.IMMulticontext |
Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net
Contents
Class Hierarchy Types Constructors Methods
Description
An input method context supporting multiple, loadable input methods
Synopsis
data IMMulticontext
class IMContextClass o => IMMulticontextClass o
castToIMMulticontext :: GObjectClass obj => obj -> IMMulticontext
gTypeIMMulticontext :: GType
toIMMulticontext :: IMMulticontextClass o => o -> IMMulticontext
imMulticontextNew :: IO IMContext
imMulticontextAppendMenuitems :: (IMMulticontextClass self, MenuShellClass menushell) => self -> menushell -> IO ()
Class Hierarchy
     | GObject
     | +----IMContext
     | +----IMMulticontext
Types
data IMMulticontext
Instances
Eq IMMulticontext |
Ord IMMulticontext |
GObjectClass IMMulticontext |
IMMulticontextClass IMMulticontext |
IMContextClass IMMulticontext |
ObjectClass IMMulticontext |
class IMContextClass o => IMMulticontextClass o
Instances
IMMulticontextClass IMMulticontext |
castToIMMulticontext :: GObjectClass obj => obj -> IMMulticontext
gTypeIMMulticontext :: GType
toIMMulticontext :: IMMulticontextClass o => o -> IMMulticontext
Constructors
imMulticontextNew :: IO IMContext
Creates a new `IMMulticontext`.
Methods
imMulticontextAppendMenuitems
:: (IMMulticontextClass self, MenuShellClass menushell) |
=> self |
-> menushell | `menushell` - a `MenuShell`
-> IO () |
Add menuitems for various available input methods to a menu; the menuitems, when selected, will switch the input method for the context and the global default input method.
Produced by Haddock version 2.7.2